Name:           ocaml-res
Version:        4.0.3
Release:        %mkrel 2
Summary:        Library for automatically resizing contiguous memory (arrays and strings)
License:        LGPL
Group:          Development/OCaml
URL:            https://bitbucket.org/mmottl/res/
Source:         https://bitbucket.org/mmottl/res/downloads/res-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib

%description
This OCaml-library consists of a set of modules which implement
automatically resizing (= reallocating) datastructures that consume
a contiguous part of memory. This allows appending and removing of
elements to/from arrays (both boxed and unboxed), strings (-> buffers),
bit strings and weak arrays while still maintaining fast constant-time
access to elements.

There are also functors that allow the generation of similar modules
which use different reallocation strategies.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n res-%{version}

%build
./configure
make

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/res
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install

# documentation
ocaml setup.ml -doc
rm -f API.docdir
mv _build/API.docdir ./
mv _build/API.odocl ./

%files
%doc COPYING.txt
%dir %{_libdir}/ocaml/res
%{_libdir}/ocaml/res/META
%{_libdir}/ocaml/res/*.cma
%{_libdir}/ocaml/res/*.cmi
%{_libdir}/ocaml/res/*.cmxs

%files devel
%doc CHANGES.txt README.md TODO.md
%doc API.docdir API.odocl examples/
%{_libdir}/ocaml/res/*.a
%{_libdir}/ocaml/res/*.cmx
%{_libdir}/ocaml/res/*.cmxa
%{_libdir}/ocaml/res/*.mli
%{_libdir}/ocaml/res/*.ml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.0.3-2.mga4
+ Revision: 531206
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 blue_prawn <blue_prawn> 4.0.3-1.mga4
+ Revision: 462557
- updated to last version 4.0.3

* Sun Jan 13 2013 umeabot <umeabot> 4.0.2-4.mga3
+ Revision: 361589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 blue_prawn <blue_prawn> 4.0.2-3.mga3
+ Revision: 321564
- no change, just a rebuild

* Tue Oct 02 2012 blue_prawn <blue_prawn> 4.0.2-2.mga3
+ Revision: 301876
- new rpm group for ocaml
- rebuild for new ocaml 4.00

* Sat Jul 21 2012 malo <malo> 4.0.2-1.mga3
+ Revision: 273214
- new version 4.0.2

* Thu Jan 12 2012 blue_prawn <blue_prawn> 3.2.0-1.mga2
+ Revision: 195111
- req texlive-texmf-cmsuper
- req latex
- imported package ocaml-res

